Subject: Re: Problem with 2.4.24 e1000 and keepalived

From: Ben Greear <[email-masked]>
Date: Thu, 08 Jan 2004 00:07:10 -0800

Willy Tarreau wrote:
> Hi Ben,
> 
> On Wed, Jan 07, 2004 at 06:45:04PM -0800, Ben Greear wrote:
>  
> 
>>You have to bring the interface 'UP' before it will detect link,
>>with something like:  ifconfig eth2 up
> 
> 
> Don't you mean "after" instead of "before" here ? Because the case where
> it doesn't work is when everything is set up while the cable is unplugged,
> but conversely, if the system goes up with the cable plugged, setting the
> interface UP detects the link as UP and works. I believe that the problem
> is related to setting the interface UP with nothing plugged into it.

No, I meant what I said:  You have to tell many drivers to bring the interface
up before they will attempt (or at least report) link negotiation.
You do NOT have to give it an IP address or add any routes to it.

But, I don't know about your particular program, I just suspect it
is related to detecting link state.  I think tg3 detects link when
the interface is not UP, if you have some tg3 nics maybe you could
try with them?

Ben

> Cheers,
> Willy

-- 
Ben Greear <[email-masked]>
Candela Technologies Inc  http://www.candelatech.com